<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:jaxws="http://cxf.apache.org/jaxws" xmlns:soap="http://cxf.apache.org/bindings/soap"
	xmlns:service="http://weblab.ow2.org/core/1.2/services/" xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd http://cxf.apache.org/jaxws http://cxf.apache.org/schemas/jaxws.xsd">

	<import resource="classpath:META-INF/cxf/cxf.xml" />
	<import resource="classpath:META-INF/cxf/cxf-servlet.xml" />

	<jaxws:endpoint id="analyser" implementor="#exposer" address="/analyser" serviceName="service:AxesExposerService" endpointName="AxesExposerPort">
		<jaxws:properties>
			<entry key="exceptionMessageCauseEnabled" value="true" />
			<entry key="faultStackTraceEnabled" value="true" />
			<entry key="schema-validation-enabled" value="true" />
		</jaxws:properties>
		<jaxws:dataBinding>
			<bean class="org.apache.cxf.jaxb.JAXBDataBinding">
				<property name="namespaceMap">
					<map>
						<entry key="http://weblab.ow2.org/core/1.2/model#" value="wl" />
						<entry key="http://weblab.ow2.org/core/1.2/services/analyser" value="an" />
						<entry key="http://weblab.ow2.org/core/1.2/services/exception" value="ex" />
					</map>
				</property>
			</bean>
		</jaxws:dataBinding>
	</jaxws:endpoint>

	<bean id="exposer" class="org.ow2.weblab.services.exposer.AxesFileExposer">
		<constructor-arg index="0" type="java.lang.String" value="${rootFolder}" />
		<constructor-arg index="1" type="java.lang.String" value="exposed-content" />
		<constructor-arg index="2" type="java.lang.String" value="" />
	</bean>

</beans>
